%global momorel 2

Summary: Little cms color management engine
Name: lcms
Version: 1.12
Release: %{momorel}m
Group:  Development/Libraries
License: MIT/X
URL: http://www.littlecms.com/
%NoSource 0 http://www.littlecms.com/%{name}-%{version}.tar.gz ac377fc055cf50aa8a8505aedb13a125
Requires: libjpeg libtiff
BuildRequires: libjpeg-devel libtiff-devel
Buildroot: %{_tmppath}/%{name}-%{version}-root

## include local configuration
%{?include_specopt}
## if you want to change default configuration, please copy this to
# /etc/rpm/specopt/lcms.specopt and edit it.
%{?!python_binding:         %global python_binding         1}
%if %{python_binding}
BuildRequires: python-devel swig
%endif

%description
Little cms intends to be a small-footprint, speed optimized color 
management engine in open source form.

%package devel
Summary: Little cms library development files
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The lcms-devel package contains the header files and documentation
needed to develop applications with lcms.

%if %{python_binding}
%package python
Summary: python binding to  Little cms library
Group: Development/Libraries
Requires: %{name} = %{version}

%description python
python binding to lcms(littel cms)
%endif

%prep

%setup -q

%build
%if %{python_binding}
export PYTHON_BINDING="--with-python"
%endif
%configure $PYTHON_BINDING
%make

%install
rm -rf %{buildroot}
%makeinstall transform='s,x,x,'

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README.1ST
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc doc/* 
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%if %{python_binding}
%files python
%defattr(-,root,root)
%{_libdir}/python*/site-packages/*
%endif

%changelog
* Wed Jul 14 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.12-2m)
- add transform='s,x,x,'

* Tue Jan 20 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.12-1m)
- add BuildRequires: swig

* Thu Jan 15 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.12-1m)
- first import to Momonga
